skip to main content

Browser compatibility using Public Access

If you experience problems with Public Access (in particular the mapping function), it is recommended that you can resolve this by upgrading your internet browser to the latest version. The new Public Access application is recommended to be used with Microsoft Internet Explorer, Google Chrome or Safari.

This page was last updated: 11 October 2017

Share this page